Name:           python-pybrowserid
Version:        0.14.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python library for the BrowserID Protocol

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://github.com/mozilla/PyBrowserID
Source:         %{pypi_source PyBrowserID}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-pytest

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is a python client library for the BrowserID protocol that underlies Mozilla Persona.}

%description %_description

%package -n     python3-pybrowserid
Summary:        %{summary}

%description -n python3-pybrowserid %_description


%prep
%autosetup -p1 -n PyBrowserID-%{version}
find -type f -exec sed -e 's|assertEquals|assertEqual|g' -i {} \; # Fix tests with python 3.12

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files browserid


%check
%pytest browserid/tests
# %%pyproject_check_import


%files -n python3-pybrowserid -f %{pyproject_files}


%changelog
%autochangelog
